## org.apache.axis.wsdl.symbolTable
Class PortTypeEntry

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.PortTypeEntry

public class PortTypeEntry
extends SymTabEntry

This class represents a WSDL portType. It encompasses the WSDL4J PortType object so it can reside in the SymbolTable. It also adds the parameter information, which is missing from the WSDL4J PortType object.

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`PortTypeEntry(javax.wsdl.PortType portType)` Construct a PortTypeEntry from a WSDL4J PortType object and a HashMap of Parameters objects, keyed off of the operation name.

Method Summary
`javax.wsdl.PortType` `getPortType()` Get this entry's PortType object.

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortTypeEntry

    public PortTypeEntry(javax.wsdl.PortType portType)

  Construct a PortTypeEntry from a WSDL4J PortType object and a HashMap of Parameters objects, keyed off of the operation name.

Parameters:
  `portType` -

Method Detail

### getPortType

    public javax.wsdl.PortType getPortType()

  Get this entry's PortType object.

  Returns:

Copyright © 2005 Apache Web Services Project. All Rights Reserved.